#!/bin/sh -e
# ==============================================================================
# portsreinstall library script
# - Help messages -
# Copyright (C) 2018 Mamoru Sakaue, MwGhennndo, All Rights Reserved.
# This software is distributed under the 2-Clause BSD License.
# ==============================================================================

# ============= Output a short help =============
usage_short ()
{
	usage_short_content | fold -s -w `misc_get_console_column_size`
}

# ============= Content of the short help =============
usage_short_content () { :; }

# ============= Output a long help =============
usage_long ()
{
	local manpage_path
	manpage_path=${MYPREFIX}/man/man8/${APPNAME}.8
	if [ -e "$manpage_path.gz" ]
	then
		zcat "$manpage_path.gz"
	elif [ -e "$manpage_path" ]
	then
		cat "$manpage_path"
	fi | nroff -man
}
